var req = new XMLHttpRequest();
req.open(
    "GET",
    "https://remote.mintchipchallenge.com/mintchip/info/xml",
    true);
req.onload = genSummary;
req.send(null);

chrome.browserAction.setBadgeText( { text: "" } );

function genSummary() {
  var id = req.responseXML.getElementsByTagName("id")[0].childNodes[0].nodeValue;
  var balance = String((parseFloat(req.responseXML.getElementsByTagName("balance")[0].childNodes[0].nodeValue)/100.0).toFixed(2));

  chrome.tts.speak("Your MintChip has a balance of $" + String(balance));

  document.body.innerHTML=""

  var content = document.createElement("p");
  var logo = '<center><img src="MintChip.png" border="0" alt="MintChip Logo" height="85" width="85" /></center><p>';
  content.innerHTML = logo + "Your MintChip has a balance of: <strong>$" + String(balance) + "</strong><p>MintChip id " + String(id) + "</p>";
  document.body.appendChild(content);
 } 

