var prevBalance = "";
var req = 0;

var timer = setInterval(function() {
    req = new XMLHttpRequest();
    req.open(
    "GET",
    "https://remote.mintchipchallenge.com/mintchip/info/xml",
    true);
  req.onload = checkIfChanged;
  req.send(null);
  }, 10*1000); //10 seconds for demo, should probably be 60s in reality, or configurable.


function checkIfChanged() {
  var balance = req.responseXML.getElementsByTagName("balance")[0].childNodes[0].nodeValue;
  
  if(prevBalance=="") {
    prevBalance=balance;
  }

  if(balance != prevBalance) {
    chrome.tts.speak("Your MintChip balance has changed!");
    chrome.browserAction.setBadgeText( { text: "!" } );
    chrome.browserAction.setBadgeBackgroundColor( { color: "red" } );
    prevBalance=balance;
  }
}
